﻿//////////////////////////////////////////////
// Base64Encoder.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include "../../Dll/DllDefines.h"

#include <NilkinsMemory/Containers/Buffer.h>
#include <NilkinsMemory/Containers/BufferView.h>

/// Class ------------------------------------

namespace nkExport
{
	class DLL_EXPORT_EXPORT Base64Encoder final
	{
		private :

			// Constructeur, destructeur
			Base64Encoder () = delete ;
			~Base64Encoder () = delete ;

		public :

			// Encoding
			static nkMemory::Buffer encode (const nkMemory::BufferView<unsigned char>& data) ;

			// Decoding
			static nkMemory::Buffer decode (const nkMemory::BufferView<unsigned char>& data) ;
	} ;
}