﻿//////////////////////////////////////////////
// Deallocator.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Class ------------------------------------

namespace nkMemory
{
	template <typename T>
	class Deallocator
	{
		public :

			// Constructeur, destructeur
			Deallocator () = default ;
			virtual ~Deallocator () = default ;

			// Allocation doit passer par là
			virtual void deallocate (T* object) = 0 ;
	} ;
}